Bug 312721 - Review Request: PySolFC-music - Music for PySolFC
Review Request: PySolFC-music - Music for PySolFC
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-29 17:38 EDT by Stewart Adam
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.40-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:04:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stewart Adam 2007-09-29 17:38:59 EDT
Spec URL: http://www.diffingo.com/downloads/diffingo-repo/PySolFC-music.spec
SRPM URL: http://www.diffingo.com/downloads/diffingo-repo/PySolFC-music-4.40-1.fc8.src.rpm
Description:
This package contains the background music for pysol
Comment 1 Jason Tibbitts 2007-10-22 02:31:32 EDT
This has the same issue with COPYRIGHT files that the main package has, and
again I'm all for leaving them where they are so that the COPYRIGHT file lives
with the specific data that it applies to.  Normally these copyright bits would
be inside of the file they apply to, but that's not possible.  There's a single
overarching COPYING file which is marked as %doc as appropriate.

I know this is is backwards from the normal case, but if you expect this package
to be rebuilt only occasionally, you might consider getting rid of dist tag. 
That lets you get away without ever rebuilding your package unless its necessary
and people won't be confused by seeing an F8 package on their F11 machine.  It's
up to you.

* source files match upstream:
   11ea07ccdecbfc2b5e574b7bbee9724239a8ed3e3e6a0f4abe066038e2a7b21b  
   pysol-music-4.40.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   PySolFC-music = 4.40-1.fc8
  =
   PySolFC = 1.1
   pygame
* things work fine in manual testing.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Stewart Adam 2007-10-22 18:01:10 EDT
The last update for pysol music (FC edition and regular) was a long time ago and
it doesn't seem to be updated too often so I'll definitely consider removing the
dist tag.


New Package CVS Request
=======================
Package Name: PySolFC-music
Short Description: Music for PySolFC
Owners: firewing
Branches: FC-6 F-7 F-8
InitialCC: firewing
Cvsextras Commits: yes
Comment 3 Jason Tibbitts 2007-10-22 20:27:48 EDT
CVS done.
Comment 4 Fedora Update System 2007-10-24 03:04:52 EDT
PySolFC-music-4.40-3 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.